NuPIC now uses numpy 1.11.2


#1

NuPIC tip of master now requires nupic.bindings==0.4.12 and numpy==1.11.2:

https://github.com/numenta/nupic/commit/1f12439f93cc51b911c0ae1f6b5e9fd23074f07a

If anyone has any dependency problems when building, please let me know here.